import { MJMLParsingOptions, MJMLJsonObject, MJMLParseResults } from 'mjml-core';
export declare const replacerAttributeName: "mj-replace-id";
/**
 * null means delete node
 */
export type Replacer = {
    tagName?: string | ((a: string) => string) | undefined;
    content?: string | ((a: string) => string) | undefined;
    attributes?: Record<string, unknown> | ((a: Record<string, unknown>) => Record<string, unknown>) | undefined;
    children?: MJMLJsonObject[] | ((a: MJMLJsonObject[]) => MJMLJsonObject[]) | undefined;
} | null;
export type Replacers = Record<string, Replacer>;
export interface Options extends MJMLParsingOptions {
    validateReplacers?: boolean | undefined;
    replacers?: Replacers | undefined;
}
export declare function parseXml(xml: unknown, options?: Options): {
    json: MJMLJsonObject | undefined;
    mjmlOptions: {
        fonts?: {
            [key: string]: string;
        } | undefined;
        keepComments?: boolean | undefined;
        beautify?: boolean | undefined;
        minify?: boolean | undefined;
        minifyOptions?: import("mjml-core").MJMLMinifyOptions | undefined;
        validationLevel?: "skip" | "strict" | "soft" | undefined;
        filePath?: string | undefined;
        mjmlConfigPath?: string | undefined;
        useMjmlConfigOptions?: boolean | undefined;
        juicePreserveTags?: {
            [index: string]: {
                start: string;
                end: string;
            };
        } | undefined;
        juiceOptions?: any;
        skeleton?: string | (() => string) | undefined;
        actualPath?: string | undefined;
        ignoreIncludes?: any;
        preprocessors?: ((xml: string) => string)[] | undefined;
    };
};
declare const _default: (xml: unknown, options: Options) => MJMLParseResults;
export default _default;
